<ui:composition
        xmlns:s="http://jboss.org/schema/seam/taglib"
        xmlns:rich="http://richfaces.org/rich"
        xmlns:a4j="http://richfaces.org/a4j"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns="http://www.w3.org/1999/xhtml">
    <!-- params: confman: the bean which extends AbstractSystemConfigurationManager
                 restrictAccess: the boolean expression which is used to restrict access to some buttons and content
                 displayUsageSelection : display the pick list of choosing the usages -->
    <!-- inserts:  additional_attributes: additional attributes to be filled out by the user -->
    <s:decorate id="panelTestid" template="/layout/panels/_panel_title_footer_id.xhtml"
                rendered="#{confman.displayEditPanel and restrictAccess}">
        <ui:param name="panel_id" value="editConfigurationPanel"/>
        <ui:define name="panel_title">#{messages['gazelle.simu.SystemConfigurationEdition']}</ui:define>
        <div class="form-horizontal">
            <s:decorate id="editconfigNameDecorate" template="/layout/form/_edit.xhtml">
                <ui:define name="label">#{messages['gazelle.simu.Name']}</ui:define>
                <ui:param name="id" value="editconfigurationNameValue"/>
                <h:inputText id="editconfigurationNameValue"
                             value="#{confman.selectedSystemConfiguration.name}"
                             required="true" requiredMessage="Please provide a name for this configuration"
                             styleClass="form-control">
                    <a4j:ajax event="blur" render="editconfigNameDecorate" execute="@this"/>
                </h:inputText>
            </s:decorate>
            <a4j:region id="systemNameRegion">
                <s:decorate id="editSystemNameDecorate" template="/layout/form/_edit.xhtml">
                    <ui:define name="label">#{messages['gazelle.simu.SystemsName']}</ui:define>
                    <ui:param name="id" value="editSystemNameValue"/>
                    <h:inputText id="editSystemNameValue"
                                 value="#{confman.selectedSystemConfiguration.systemName}"
                                 required="true" requiredMessage="Please provide the name of the system being tested"
                                 styleClass="form-control">
                        <a4j:ajax event="blur" render="editSystemNameDecorate" execute="@this"/>
                    </h:inputText>
                </s:decorate>
            </a4j:region>
            <a4j:region
                    rendered="#{not empty confman.selectedSystemConfiguration.owner}">
                <s:decorate template="/layout/display/_display.xhtml">
                    <ui:define name="label">#{messages['gazelle.simu.Owner']}</ui:define>
                            <h:outputText value="#{confman.getUserName(confman.selectedSystemConfiguration.owner)}"/>
                </s:decorate>
            </a4j:region>
            <a4j:region id="systemUrlRegion">
                <s:decorate id="editsystemUrlDecorate" template="/layout/form/_edit.xhtml"
                            rendered="#{displayUrlInput}">
                    <ui:define name="label">#{messages['gazelle.simu.EndpointURL']}</ui:define>
                    <ui:param name="id" value="editsystemUrlValue"/>
                    <h:inputText id="editsystemUrlValue"
                                 value="#{confman.selectedSystemConfiguration.url}"
                                 required="true" requiredMessage="The URL of the endpoint is a required parameter"
                                 styleClass="form-control" size="80" maxlength="128">
                        <a4j:ajax event="blur" render="editsystemUrlDecorate" execute="@this"/>
                    </h:inputText>
                </s:decorate>
            </a4j:region>
            <ui:insert name="additional_attributes"/>
            <a4j:region id="isPublicRegion">
                <s:decorate id="editsystemIsPublicDecorate"
                            template="/layout/form/_checkbox.xhtml" rendered="#{identity.loggedIn}">
                    <h:selectBooleanCheckbox id="editsystemIsPublicValue"
                                             value="#{confman.selectedSystemConfiguration.isPublic}"/>
                    #{messages['gazelle.simu.ThisConfigurationIsPublic']}
                    <h:outputText styleClass="help-block"
                                  value="#{messages['gazelle.simu.AnyUserWillBeAbleToSelectItForSendingMessages']}"/>
                </s:decorate>
            </a4j:region>
            <a4j:region id="usageSelectionRegion"
                        rendered="#{displayUsageSelection}">
                <h:outputText styleClass="help-block"
                              value="#{messages['gazelle.simu.SelectTheCapabilitiesOfYourSystemForThisConfigur']}"/>
                <s:decorate template="/layout/form/_edit.xhtml" id="usages">
                    <ui:define name="label">#{messages['gazelle.simu.AffinityDomainTransactions']}</ui:define>
                    <ui:param name="id" value="usageInput"/>
                    <rich:pickList id="usageInput"
                                   value="#{confman.selectedSystemConfiguration.listUsages}" listWidth="500px"
                                    required="true" requiredMessage="You must select at least one value">
                        <s:selectItems value="#{confman.getPossibleListUsages()}"
                                       var="currentu"
                                       label="#{currentu.affinity.labelToDisplay} =&gt; #{currentu.transaction.keyword} (#{currentu.action})"/>
                    </rich:pickList>
                </s:decorate>
            </a4j:region>
        </div>
        <ui:define name="panel_footer">
            <a4j:commandButton id="backButton" actionListener="#{confman.back()}"
                               value="#{messages['users.Cancel']}" styleClass="gzl-btn" immediate="true"
                               render="globalDiv"/>
            <a4j:commandButton id="saveConfigButton"
                               actionListener="#{confman.saveCurrentConfiguration()}"
                               value="#{messages['gazelle.simulator.Save']}"
                               styleClass="gzl-btn-green"
                               render="globalDiv"/>
        </ui:define>
    </s:decorate>
</ui:composition>
